Tools
List available tools
Retrieve a paginated list of available tools with comprehensive filtering, sorting and search capabilities. Use query parameters to narrow down results by toolkit, tags, or search terms.
GET
/
api
/
v3.1
/
tools
List available tools
import requests
url = "https://backend.composio.dev/api/v3.1/tools"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/tools \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/tools"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/tools")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/tools");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"slug": "GITHUB_CREATE_A_WORKFLOW_DISPATCH_EVENT",
"name": "GitHub Actions",
"description": "Automate GitHub workflows including CI/CD, issue management, and release processes",
"toolkit": {
"slug": "github",
"name": "GitHub",
"logo": "https://github.githubassets.com/assets/GitHub-Mark-ea2971cee799.png"
},
"input_parameters": {
"repo_name": {
"type": "string",
"description": "GitHub repository name in owner/repo format",
"required": true,
"example": "octocat/Hello-World"
},
"workflow_id": {
"type": "string",
"description": "ID or filename of the workflow to trigger",
"required": true,
"example": "main.yml"
}
},
"no_auth": false,
"available_versions": [
"20250905_00",
"20250906_00"
],
"version": "20250905_00",
"output_parameters": {
"run_id": {
"type": "number",
"description": "ID of the workflow run that was triggered",
"example": 12345678
},
"status": {
"type": "string",
"description": "Status of the workflow run",
"example": "completed",
"enum": [
"queued",
"in_progress",
"completed",
"failed"
]
}
},
"scopes": [
"https://www.googleapis.com/auth/gmail.modify"
],
"scope_requirements": {
"all_of": [
"read:user",
{
"any_of": [
"repo",
"public_repo"
]
}
]
},
"tags": [
"ci-cd",
"github",
"automation",
"devops"
],
"is_deprecated": false,
"deprecated": {
"displayName": "GitHub Actions",
"version": "20250905_00",
"available_versions": [
"20250905_00",
"20250906_00"
],
"is_deprecated": false,
"toolkit": {
"logo": "https://github.githubassets.com/assets/GitHub-Mark-ea2971cee799.png"
}
},
"instant": {
"supported": true,
"price": {
"description": "<string>",
"discount": "<string>"
}
},
"human_description": "Create a new issue in a GitHub repository"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
ApiKeyAuthUserApiKeyAuth
Query Parameters
List available tools
import requests
url = "https://backend.composio.dev/api/v3.1/tools"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/tools \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/tools"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/tools")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/tools");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"slug": "GITHUB_CREATE_A_WORKFLOW_DISPATCH_EVENT",
"name": "GitHub Actions",
"description": "Automate GitHub workflows including CI/CD, issue management, and release processes",
"toolkit": {
"slug": "github",
"name": "GitHub",
"logo": "https://github.githubassets.com/assets/GitHub-Mark-ea2971cee799.png"
},
"input_parameters": {
"repo_name": {
"type": "string",
"description": "GitHub repository name in owner/repo format",
"required": true,
"example": "octocat/Hello-World"
},
"workflow_id": {
"type": "string",
"description": "ID or filename of the workflow to trigger",
"required": true,
"example": "main.yml"
}
},
"no_auth": false,
"available_versions": [
"20250905_00",
"20250906_00"
],
"version": "20250905_00",
"output_parameters": {
"run_id": {
"type": "number",
"description": "ID of the workflow run that was triggered",
"example": 12345678
},
"status": {
"type": "string",
"description": "Status of the workflow run",
"example": "completed",
"enum": [
"queued",
"in_progress",
"completed",
"failed"
]
}
},
"scopes": [
"https://www.googleapis.com/auth/gmail.modify"
],
"scope_requirements": {
"all_of": [
"read:user",
{
"any_of": [
"repo",
"public_repo"
]
}
]
},
"tags": [
"ci-cd",
"github",
"automation",
"devops"
],
"is_deprecated": false,
"deprecated": {
"displayName": "GitHub Actions",
"version": "20250905_00",
"available_versions": [
"20250905_00",
"20250906_00"
],
"is_deprecated": false,
"toolkit": {
"logo": "https://github.githubassets.com/assets/GitHub-Mark-ea2971cee799.png"
}
},
"instant": {
"supported": true,
"price": {
"description": "<string>",
"discount": "<string>"
}
},
"human_description": "Create a new issue in a GitHub repository"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}